### Signal

# Ide Debugger::thread-group-added

#### Declaration

    void
    thread_group_added (
      IdeDebugger* self,
      IdeDebuggerThreadGroup* thread_group,
      gpointer user_data
    )

#### Description

This signal is emitted when a thread-group has been added.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 3.32

#### Parameters

`thread_group` | `IdeDebuggerThreadGroup`
| An `IdeDebuggerThreadGroup`.
| The data is owned by the caller of the function.